<Project Sdk="Microsoft.NET.Sdk">
   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <OutputType>Library</OutputType>
      <AssemblyName>Raytheon.Instruments.Implementation</AssemblyName>
      <Product>Implementation Master</Product>
      <Description>Packages all instrument implementation assemlbies into one package</Description>

      <!-- Dynamic Versioning (Suitable for Release) -->
      <!-- <Version>$(Version)$(Suffix)</Version> -->

      <!-- Static Versioning (Suitable for Development) -->
      <Version>1.0.0</Version>
   </PropertyGroup>

   <PropertyGroup>
      <NoWarn>NU1603</NoWarn>
   </PropertyGroup>

   <!-- Add extra dependencies to the nuget package -->
   <Target Name="AddDependenciesToPackage" AfterTargets="AfterBuild">
      <ItemGroup>
         <Content Include="$(HalTempFolder)\*">
            <Pack>true</Pack>
            <PackagePath>lib\$(TargetFramework)</PackagePath>
         </Content>
      </ItemGroup>
   </Target>

   <Target Name="DeleteHalTempFolder" AfterTargets="Pack">
      <RemoveDir Directories="$(HalTempFolder)" />
   </Target>

</Project>